import { defineConfig } from 'vite'
import react from '@vitejs/plugin-react'

// https://vitejs.dev/config/
export default defineConfig({
	plugins: [react()],
	resolve: {
		alias: {
			'@shopwp/api':
				'/Users/andrew/_www/shopwp/htdocs/wp-content/plugins/shopwp-pro/npm-packages/@shopwp/api',
		},
	},
	build: {
		rollupOptions: {
			output: {
				entryFileNames: `assets/[name].js`,
				chunkFileNames: `assets/[name].js`,
				assetFileNames: `assets/[name].[ext]`,
			},
			// external: [
			// 	'@shopwp/common',
			// 	'lodash-es/isEmpty',
			// 	'lodash-es/isArray',
			// 	'lodash-es/isBoolean',
			// 	'@shopwp/hooks',
			// 	'lodash-es/isError',
			// 	'lodash-es/isObject',
			// 	'idb-keyval',
			// 	'lodash-es/without',
			// 	'@emotion/react',
			// ],
		},
	},
	// esbuild: {
	// 	loader: 'jsx', // OR "jsx"
	// 	include: [
	// 		// Add these lines to allow all .js files to contain JSX
	// 		'src/**/*.js',
	// 		'src/**/*.jsx',
	// 		'node_modules/**/*.js',
	// 		'node_modules/**/*.jsx',
	// 	],
	// },
})
